package com.inkasso.factoring.dict.service;

import com.inkasso.factoring.dict.entity.Dictionary;

import java.util.List;

/**
 * 字典service
 */
public interface DictionaryService {

    Dictionary add(Dictionary dictionary);

    Dictionary get(Long id);

    Dictionary getByCode(String code);

    Dictionary getByName(String name);

    Dictionary getByNameAndParentCode(String name, String parentCode);

    Dictionary getByCodeAndParentCode(String code, String parentCode);

    List<Dictionary> findByParentId(Long parentId);

    List<Dictionary> findByParentIdIsNull();


    List<Dictionary> findByParentCodeAndCode(String parentCode, String code);

    Object findByParentCode(String parentCode);
}
